# Minecraft Mod Translator

使用前请先运行，以安装必要库

```bash
npm install
```



### 文件夹说明

- `./assets` 临时资源文件夹
- `./i18n` 放置 *语言资源包* 内容，结构为 `./i18n/{modId}/lang/zh_cn.json`，可通过解压资源包获得
- `./lang` 生成的语言文件
- `./mods` 放置待翻译的模组
- `./mods_translated` 放置翻译后的模组（所有模组文件名会添加 `[Translated]` 前缀） 

### 文件作用

- `extract_lang.js`：把 `./mods` 下所有未汉化或未完全汉化的模组语言文件提取出来，补全所有未汉化的词条，并放入 `./lang/zh_cn` 文件夹下
- `insert_lang.js`：把 `./lang/zh_cn` 下所有的语言文件重新打包回模组，并将翻译后的模组放入 `./mods_translated`
- `check_lang.js`： 检查是否有词条未汉化，或有词条格式错误（占位符数量或类型错误 `%s`）